Sustainability Navigation

macOS Monterey for C922 PRO HD STREAM WEBCAM

Answered

Comments

3 comments

  • Official comment
    Shrivathsa

    Hey there,

    Thanks for reaching out.

    Logitech devices and software are only compatible with the device's listed operating systems. As Apple and Microsoft release new operating systems we will assess their requirements and our hardware and software compatibility. We will surely take your suggestion as feedback and pass it along to our team.


    Regards,
    Shrivathsa
    Logi Support.

    Comment actions Permalink
  • Fernanda Cano

    OMG, this is a 7 months problem???? i just buy my webcam and it's not working :( so this is a no short term issue fix? 

    0
    Comment actions Permalink
  • VASANTH J

    Hi Fernanda,

    Thanks for reaching out. 

    Logitech Capture is not compatible with Apple M1 Macs on macOS 11. Currently, Logitech Capture is only compatible with Intel Macs on macOS 10.14, 10.15, and 11. Also, we will take this as feedback. Thank you for your feedback. We will pass this along to our team. We always want to ensure we are providing our customers with the best products and experience. Let us know if there is anything else in the future we can do to assist.

    Regards,
    Vasanth
    Logi Support.

    0
    Comment actions Permalink

Please sign in to leave a comment.